Tools
Create a new tool
Create a new HTTP tool that agents can call
Authorization<token>
API key in the format: Bearer YOUR_API_KEY
In: header
namestring
Length
1 <= length <= 255description?string
typestring
Value in
"http"config
Response Body
application/json
application/json
curl -X POST "https://api.chorus-ai.co/v1/tools" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "type": "http", "config": { "url": "http://example.com", "method": "GET" } }'{
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"description": "string",
"type": "http",
"config": {
"url": "http://example.com",
"method": "GET",
"timeout": 5000,
"headers": [
{
"key": "string",
"value": "string"
}
],
"body": [
{
"name": "string",
"type": "string",
"description": "string",
"required": false
}
]
},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}{
"error": "string",
"details": [
{}
]
}Last updated on